Version 4.6 on PPC


    Jan 28 2007 | 8:33 am
    I have just downloaded the UB objects from GMEM which (except for AUVI and
    GPO) completes the set of objects I use regularly. I am ready to update my
    G5 to Max 4.6 and want to confirm my understanding of a couple of things.
    1. UB objects will work on PPC as well as Intel?
    2. CFM objects will continue to work on PPC under 4.6 including vst plugins?
    Any other issues?
    Cheers
    Gary Lee Nelson
    Oberlin College
    www.timara.oberlin.edu/GaryLeeNelson

    • Jan 28 2007 | 12:57 pm
      Selon Gary Lee Nelson:
      > I have just downloaded the UB objects from GMEM which (except
      > for AUVI and GPO) completes the set of objects I use regularly. > I am ready to update my G5 to Max 4.6 and want to confirm my
      > understanding of a couple of things.
      >
      > 1. UB objects will work on PPC as well as Intel?
      > 2. CFM objects will continue to work on PPC under 4.6 including > vst plugins?
      >
      > Any other issues?
      Hi Gary,
      We noticed a little difference in performances between UB and CFM versions on some (msp) objects running on PPC.
      For example with 100 bargraf~s all connected to one cycle~ :
      PPC G4 1.67 Max 4.6 bargraf~ UB &nbspmspcpu : 5% / realcpu : ~30%
      PPC G4 1.67 Max 4.6 bargraf~ mach-o mspcpu : 5% / realcpu : ~30%
      PPC G4 1.67 Max 4.6 bargraf~ cfm &nbspmspcpu : 3% / realcpu : ~30%
      PPC G4 1.67 Max 4.5 bargraf~ cfm &nbspmspcpu : 3% / realcpu : ~30%
      Those differences will obviously (and hopefully) be smaller on your G5.
      As soon as you're working on a PPC, we recommend you to use the CFM objects even under
      max 4.6 unless cycling's team or other max's experts advises against it.
      There has been several discussions on this subject in the forum, but I can't
      find them anymore.
      CFM objects will continue to work under 4.6 as soon as you install old cfm support when installing/launching max.
      Don't know for vst plugins.
      leopold frey
      GMEM
    • Jan 29 2007 | 1:10 am
      Well, I bit the bullet and so far so good. Actually 4.6 installed in its
      own folder leaving the 4.5 folder untouched. Both seem to work and using
      the option to keep older objects functional seems to work. UB objects doing
      fine in 4.6 on a PPC. A happy result is that my MOTO 2408 is no longer a
      2402 in 4.6. I did try the GPO vst that I was using with 4.5 and it seems
      to be OK too. Frabjious Day!
      Cheers
      Gary Lee Nelson
      Oberlin College
      www.timara.oberlin.edu/GaryLeeNelson
    • Jan 29 2007 | 3:07 pm
    • Jan 29 2007 | 4:06 pm